<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/gaussian process/training/matlab/GP training/Predict_GP.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_predict___g_p_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Predict_GP.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6e300c9364dc2bf41c3b231b76307e5c"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a6e300c9364dc2bf41c3b231b76307e5c">DAMAGES</a> (<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa8b07df1f4e2067983c459dd7fbdd318">INCLUDING</a>, BUT NOT LIMITED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a7e89b54957fa0e12d5ca2a6df82f7e0e">TO</a>, PROCUREMENT OF % SUBSTITUTE GOODS OR SERVICES;LOSS OF USE, DATA, OR PROFITS;OR BUSINESS % INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a0e6c85dcbecc9ffd0b6cb25dc1031460">LIABILITY</a></td></tr>
<tr class="separator:a6e300c9364dc2bf41c3b231b76307e5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa7aabba7c83cd98e3f94d1ddc4e4427"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#afa7aabba7c83cd98e3f94d1ddc4e4427">TORT</a> (<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa8b07df1f4e2067983c459dd7fbdd318">INCLUDING</a> NEGLIGENCE OR OTHERWISE) % ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE</td></tr>
<tr class="separator:afa7aabba7c83cd98e3f94d1ddc4e4427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8e40bce23ed62df984a3ea439fdad32"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ad8e40bce23ed62df984a3ea439fdad32">dot</a> (<a class="el" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a>, <a class="el" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a>, 1)</td></tr>
<tr class="separator:ad8e40bce23ed62df984a3ea439fdad32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bcfac01d01d78b3edba0255a325c51a"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a6bcfac01d01d78b3edba0255a325c51a">dot</a> (X1, X1, 1)') -2 *(X1' *<a class="el" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a>)</td></tr>
<tr class="separator:a6bcfac01d01d78b3edba0255a325c51a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acc10025bc6bfc85dd130bc485201ecce"><td class="memItemLeft" align="right" valign="top">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#acc10025bc6bfc85dd130bc485201ecce">processes</a></td></tr>
<tr class="separator:acc10025bc6bfc85dd130bc485201ecce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af305ef89ef1c336d2b9396d2b3c4d0e1"><td class="memItemLeft" align="right" valign="top">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#af305ef89ef1c336d2b9396d2b3c4d0e1">n</a></td></tr>
<tr class="separator:af305ef89ef1c336d2b9396d2b3c4d0e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cda61cf917ea712509fcfdee8b9d9b6"><td class="memItemLeft" align="right" valign="top">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University Xiaopeng&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a8cda61cf917ea712509fcfdee8b9d9b6">Lin</a></td></tr>
<tr class="separator:a8cda61cf917ea712509fcfdee8b9d9b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8517803016837d9fa4816d2f512dd033"><td class="memItemLeft" align="right" valign="top">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University Xiaopeng Daniel&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a8517803016837d9fa4816d2f512dd033">Grothe</a></td></tr>
<tr class="separator:a8517803016837d9fa4816d2f512dd033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c575c4a84e1ff44d6e45b46ead7ec7d"><td class="memItemLeft" align="right" valign="top">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University Xiaopeng Daniel and Alexander Mitsos date January&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a5c575c4a84e1ff44d6e45b46ead7ec7d">function</a> [<a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a>, <a class="el" href="_predict___g_p_8m.html#a36fda9bc88c532ecc94200bcd756b1d3">std</a>]</td></tr>
<tr class="separator:a5c575c4a84e1ff44d6e45b46ead7ec7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a771f0da6537af3e2b716e8671e948f56"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a771f0da6537af3e2b716e8671e948f56">x_test_scaled</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(x_test))</td></tr>
<tr class="separator:a771f0da6537af3e2b716e8671e948f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6ccfcf58b31cb6412107d9d5281426"><td class="memItemLeft" align="right" valign="top">for&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a></td></tr>
<tr class="separator:a6f6ccfcf58b31cb6412107d9d5281426"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad89261857e7e5a1a1b86f3441197f1f0"><td class="memItemLeft" align="right" valign="top">end Compute&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> [<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>, <a class="el" href="_predict___g_p_8m.html#a350bfcb1e3cfb28ddff48ce525d4f139">D</a>] = <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td></tr>
<tr class="separator:ad89261857e7e5a1a1b86f3441197f1f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a732e4e632dcc73daeb2d767958cd6072"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a732e4e632dcc73daeb2d767958cd6072">hyp</a> = Opt.GP.hyp</td></tr>
<tr class="separator:a732e4e632dcc73daeb2d767958cd6072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38ed4bacd40782eb3b6fc0b4c98e68b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a38ed4bacd40782eb3b6fc0b4c98e68b9">ell</a> = exp(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">hyp.cov</a>(1:<a class="el" href="_predict___g_p_8m.html#a350bfcb1e3cfb28ddff48ce525d4f139">D</a>))</td></tr>
<tr class="separator:a38ed4bacd40782eb3b6fc0b4c98e68b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a204e12cc2a17b48a5b1f1900d4ae5dc3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a204e12cc2a17b48a5b1f1900d4ae5dc3">sf2</a> = exp(2*<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">hyp.cov</a>(<a class="el" href="_predict___g_p_8m.html#a350bfcb1e3cfb28ddff48ce525d4f139">D</a>+1))</td></tr>
<tr class="separator:a204e12cc2a17b48a5b1f1900d4ae5dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a137444c9b5f4f3e3dee5ee2610800b45"><td class="memItemLeft" align="right" valign="top"><a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a137444c9b5f4f3e3dee5ee2610800b45">cov</a></td></tr>
<tr class="separator:a137444c9b5f4f3e3dee5ee2610800b45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb6eeec2afea41960619ad0559b6d6de"><td class="memItemLeft" align="right" valign="top">type of <a class="el" href="example__training__of___g_p_8m.html#aaba5efeea011c0def8ff19a52cc3db62">Martern</a> else&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#acb6eeec2afea41960619ad0559b6d6de">d</a> = 1</td></tr>
<tr class="separator:acb6eeec2afea41960619ad0559b6d6de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f58f308668abf384bbbe941a55a812"><td class="memItemLeft" align="right" valign="top">end&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a34f58f308668abf384bbbe941a55a812">kxxT</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>,n_test)</td></tr>
<tr class="separator:a34f58f308668abf384bbbe941a55a812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa88810404376141b2ef561e80cba8a7a"><td class="memItemLeft" align="right" valign="top">NoTrainingData points <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> NoTestData points&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#aa88810404376141b2ef561e80cba8a7a">k_x_x_T</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>,n_test)</td></tr>
<tr class="separator:aa88810404376141b2ef561e80cba8a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0b1c595e15a70a25f56e4fef53630a7"><td class="memItemLeft" align="right" valign="top">end&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a> = <a class="el" href="_predict___g_p_8m.html#aa88810404376141b2ef561e80cba8a7a">k_x_x_T</a>'</td></tr>
<tr class="separator:ab0b1c595e15a70a25f56e4fef53630a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e98e82965f9d5a74c5609b881db1e0d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a9e98e82965f9d5a74c5609b881db1e0d">expnK</a> = exp(-<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ab0441221a42a30f8bbac9ab536dcf9fa">sqrtK</a>)</td></tr>
<tr class="separator:a9e98e82965f9d5a74c5609b881db1e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0441221a42a30f8bbac9ab536dcf9fa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ab0441221a42a30f8bbac9ab536dcf9fa">sqrtK</a> = []</td></tr>
<tr class="separator:ab0441221a42a30f8bbac9ab536dcf9fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec5a75086abddafec01ec66c663c4c04"><td class="memItemLeft" align="right" valign="top">end <a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#aec5a75086abddafec01ec66c663c4c04">t</a> = <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ab0441221a42a30f8bbac9ab536dcf9fa">sqrtK</a></td></tr>
<tr class="separator:aec5a75086abddafec01ec66c663c4c04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7b608eef330c0c2d92f284c85641df7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> = (1 + <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aec5a75086abddafec01ec66c663c4c04">t</a>).*<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a9e98e82965f9d5a74c5609b881db1e0d">expnK</a></td></tr>
<tr class="separator:aa7b608eef330c0c2d92f284c85641df7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e2a3f798bd0d5098afbf69c71c8fb9f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a4e2a3f798bd0d5098afbf69c71c8fb9f">mean</a> = 0</td></tr>
<tr class="separator:a4e2a3f798bd0d5098afbf69c71c8fb9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e25313b2dd0317b7b92e729fefce384"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a9e25313b2dd0317b7b92e729fefce384">invK</a> = Opt.GP.invK</td></tr>
<tr class="separator:a9e25313b2dd0317b7b92e729fefce384"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0259a5aa07ee6d06e3f8b3d8210886d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a0259a5aa07ee6d06e3f8b3d8210886d7">prediction_scaled</a> = <a class="el" href="_predict___g_p_8m.html#a4e2a3f798bd0d5098afbf69c71c8fb9f">mean</a> + <a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a> * <a class="el" href="_write___g_p__to__json_8m.html#a3404ee53cfb26335a4d034b20dbef2e3">invK</a> * (yScaled - <a class="el" href="_predict___g_p_8m.html#a4e2a3f798bd0d5098afbf69c71c8fb9f">mean</a>)</td></tr>
<tr class="separator:a0259a5aa07ee6d06e3f8b3d8210886d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a204257ade2e9cad18f5587386ab4fc64"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a204257ade2e9cad18f5587386ab4fc64">K_M</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(n_test,n_test*D_test)</td></tr>
<tr class="separator:a204257ade2e9cad18f5587386ab4fc64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80ccc1af50856f2cee8ec6389a830493"><td class="memItemLeft" align="right" valign="top">end Compute covariance matrix&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a80ccc1af50856f2cee8ec6389a830493">K</a> = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(n_test,n_test)</td></tr>
<tr class="separator:a80ccc1af50856f2cee8ec6389a830493"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3929181b9643fc558d15e6b7e4ffa0e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a3929181b9643fc558d15e6b7e4ffa0e9">K_x</a> = <a class="el" href="_write___g_p__to__json_8m.html#a566ca207ec1bc8260a1fbbd6c27bb7ac">Opt.GP.K</a></td></tr>
<tr class="separator:a3929181b9643fc558d15e6b7e4ffa0e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff06a41d938551cea7441407c723aa9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a9ff06a41d938551cea7441407c723aa9">var_scaled</a> = diag(<a class="el" href="_write___g_p__to__json_8m.html#a566ca207ec1bc8260a1fbbd6c27bb7ac">K</a>- <a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a> * <a class="el" href="_write___g_p__to__json_8m.html#a3404ee53cfb26335a4d034b20dbef2e3">invK</a> *<a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a>')</td></tr>
<tr class="separator:a9ff06a41d938551cea7441407c723aa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36fda9bc88c532ecc94200bcd756b1d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a36fda9bc88c532ecc94200bcd756b1d3">std</a> = sqrt(<a class="el" href="_predict___g_p_8m.html#a9ff06a41d938551cea7441407c723aa9">var_scaled</a>) * stdOfOutputs</td></tr>
<tr class="separator:a36fda9bc88c532ecc94200bcd756b1d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350bfcb1e3cfb28ddff48ce525d4f139"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a350bfcb1e3cfb28ddff48ce525d4f139">D</a></td></tr>
<tr class="separator:a350bfcb1e3cfb28ddff48ce525d4f139"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23ba4b5ce24e1b1f9acb6a8814d3da47"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a23ba4b5ce24e1b1f9acb6a8814d3da47">forms</a></td></tr>
<tr class="separator:a23ba4b5ce24e1b1f9acb6a8814d3da47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a557576ea58f5770bd89b642d65efb9ab"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a557576ea58f5770bd89b642d65efb9ab">modification</a></td></tr>
<tr class="separator:a557576ea58f5770bd89b642d65efb9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58cea4a74da43a1b41ee6bf6e9a31852"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a58cea4a74da43a1b41ee6bf6e9a31852">met</a></td></tr>
<tr class="separator:a58cea4a74da43a1b41ee6bf6e9a31852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae37fa01d32b3cec18fec327190074d66"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ae37fa01d32b3cec18fec327190074d66">notice</a></td></tr>
<tr class="separator:ae37fa01d32b3cec18fec327190074d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08e3fe0a5c953bd579a3af50ae1980b"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ac08e3fe0a5c953bd579a3af50ae1980b">WARRANTIES</a></td></tr>
<tr class="separator:ac08e3fe0a5c953bd579a3af50ae1980b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a918b940ec779305b9a448c917694ef"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a0a918b940ec779305b9a448c917694ef">INCLUDING</a></td></tr>
<tr class="separator:a0a918b940ec779305b9a448c917694ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac84fa98a4484bfabf6709f0c6a93da56"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ac84fa98a4484bfabf6709f0c6a93da56">TO</a></td></tr>
<tr class="separator:ac84fa98a4484bfabf6709f0c6a93da56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22bc7da5dee34251e3eb8c4d96ef1a86"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a22bc7da5dee34251e3eb8c4d96ef1a86">DIRECT</a></td></tr>
<tr class="separator:a22bc7da5dee34251e3eb8c4d96ef1a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94137a780afb34907b321467ed7ea68c"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a94137a780afb34907b321467ed7ea68c">INDIRECT</a></td></tr>
<tr class="separator:a94137a780afb34907b321467ed7ea68c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8db5e44425ec66a9069758cad6a4b4d"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ad8db5e44425ec66a9069758cad6a4b4d">INCIDENTAL</a></td></tr>
<tr class="separator:ad8db5e44425ec66a9069758cad6a4b4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b6e8a2eebde8fdbe3aff1fa0c20362f"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a4b6e8a2eebde8fdbe3aff1fa0c20362f">SPECIAL</a></td></tr>
<tr class="separator:a4b6e8a2eebde8fdbe3aff1fa0c20362f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3d4d92586bdbb6869c6bdd25ae11a4d"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ab3d4d92586bdbb6869c6bdd25ae11a4d">EXEMPLARY</a></td></tr>
<tr class="separator:ab3d4d92586bdbb6869c6bdd25ae11a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a736dd65f3e941a4a02d77562b033d721"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a736dd65f3e941a4a02d77562b033d721">CONTRACT</a></td></tr>
<tr class="separator:a736dd65f3e941a4a02d77562b033d721"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad74729d631b233496fadc9c8912ab10f"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#ad74729d631b233496fadc9c8912ab10f">LIABILITY</a></td></tr>
<tr class="separator:ad74729d631b233496fadc9c8912ab10f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a052e78c4ddd111291d6e02f95275a005"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a052e78c4ddd111291d6e02f95275a005">https</a></td></tr>
<tr class="separator:a052e78c4ddd111291d6e02f95275a005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e3b80f846c2d80a70b3a1a74701b9f4"><td class="memItemLeft" align="right" valign="top">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a></td></tr>
<tr class="separator:a0e3b80f846c2d80a70b3a1a74701b9f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6e300c9364dc2bf41c3b231b76307e5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e300c9364dc2bf41c3b231b76307e5c">&#9670;&nbsp;</a></span>DAMAGES()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL DAMAGES </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa8b07df1f4e2067983c459dd7fbdd318">INCLUDING</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">BUT NOT LIMITED&#160;</td>
          <td class="paramname"><em>TO</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PROCUREMENT OF % SUBSTITUTE GOODS OR SERVICES;LOSS OF&#160;</td>
          <td class="paramname"><em>USE</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DATA&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">OR PROFITS;OR BUSINESS %&#160;</td>
          <td class="paramname"><em>INTERRUPTION</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bcfac01d01d78b3edba0255a325c51a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bcfac01d01d78b3edba0255a325c51a">&#9670;&nbsp;</a></span>dot() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE dot </td>
          <td>(</td>
          <td class="paramtype">X1&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">X1&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">1&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8e40bce23ed62df984a3ea439fdad32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8e40bce23ed62df984a3ea439fdad32">&#9670;&nbsp;</a></span>dot() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE dot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">1&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afa7aabba7c83cd98e3f94d1ddc4e4427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa7aabba7c83cd98e3f94d1ddc4e4427">&#9670;&nbsp;</a></span>TORT()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR TORT </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa8b07df1f4e2067983c459dd7fbdd318">INCLUDING</a> NEGLIGENCE OR&#160;</td>
          <td class="paramname"><em>OTHERWISE</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a736dd65f3e941a4a02d77562b033d721"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a736dd65f3e941a4a02d77562b033d721">&#9670;&nbsp;</a></span>CONTRACT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN CONTRACT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a137444c9b5f4f3e3dee5ee2610800b45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a137444c9b5f4f3e3dee5ee2610800b45">&#9670;&nbsp;</a></span>cov</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sampling of <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ae9b910412d2ec244e831f9b5fa2d0ac3">W</a> and <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8ac21ba61610615e835ec4217ecca3d2">b</a> <a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> cov</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= inf</div>
<div class="line">    <a class="code" href="_predict___g_p_8m.html#acb6eeec2afea41960619ad0559b6d6de">d</a>           = <a class="code" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a>.GP.matern</div>
</div><!-- fragment -->
</div>
</div>
<a id="acb6eeec2afea41960619ad0559b6d6de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb6eeec2afea41960619ad0559b6d6de">&#9670;&nbsp;</a></span>d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type of <a class="el" href="example__training__of___g_p_8m.html#aaba5efeea011c0def8ff19a52cc3db62">Martern</a> else d = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a350bfcb1e3cfb28ddff48ce525d4f139"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a350bfcb1e3cfb28ddff48ce525d4f139">&#9670;&nbsp;</a></span>D</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">D</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= sqdist(X1, <a class="code" href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a>)</div>
<div class="line">% Copyright (<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac7e3b2da00011ea8fe6e025bcf7d448a">c</a>) 2016</div>
</div><!-- fragment -->
</div>
</div>
<a id="a22bc7da5dee34251e3eb8c4d96ef1a86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22bc7da5dee34251e3eb8c4d96ef1a86">&#9670;&nbsp;</a></span>DIRECT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a38ed4bacd40782eb3b6fc0b4c98e68b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38ed4bacd40782eb3b6fc0b4c98e68b9">&#9670;&nbsp;</a></span>ell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">else <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> ell = exp(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">hyp.cov</a>(1:<a class="el" href="_predict___g_p_8m.html#a350bfcb1e3cfb28ddff48ce525d4f139">D</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3d4d92586bdbb6869c6bdd25ae11a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3d4d92586bdbb6869c6bdd25ae11a4d">&#9670;&nbsp;</a></span>EXEMPLARY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY EXEMPLARY</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e98e82965f9d5a74c5609b881db1e0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e98e82965f9d5a74c5609b881db1e0d">&#9670;&nbsp;</a></span>expnK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">else expnK = exp(-<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ab0441221a42a30f8bbac9ab536dcf9fa">sqrtK</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a23ba4b5ce24e1b1f9acb6a8814d3da47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23ba4b5ce24e1b1f9acb6a8814d3da47">&#9670;&nbsp;</a></span>forms</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary forms</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c575c4a84e1ff44d6e45b46ead7ec7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c575c4a84e1ff44d6e45b46ead7ec7d">&#9670;&nbsp;</a></span>function</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University Xiaopeng Daniel and Alexander Mitsos date January function[<a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a>, <a class="el" href="_predict___g_p_8m.html#a36fda9bc88c532ecc94200bcd756b1d3">std</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= Predict_GP(x_test, <a class="code" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>, <a class="code" href="example__training__of___a_n_n_8m.html#ab5d0dee4577dce4166b4f7d03510a14e">Y</a>, <a class="code" href="example__training__of___a_n_n_8m.html#aeb3638046bd79039a7571f8c646a4c84">lb</a>, <a class="code" href="example__training__of___a_n_n_8m.html#aab88802a9fdd7b7273d475bf46f6dae1">ub</a>, <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a88ea5a36240d18f8381688ed2ba3dc3a">OptGP</a> )</div>
<div class="line"> </div>
<div class="line">%% Calculate k(x,x*)</div>
<div class="line"><a class="code" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a>.GP = <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a88ea5a36240d18f8381688ed2ba3dc3a">OptGP</a></div>
</div><!-- fragment -->
</div>
</div>
<a id="a8517803016837d9fa4816d2f512dd033"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8517803016837d9fa4816d2f512dd033">&#9670;&nbsp;</a></span>Grothe</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University Xiaopeng Daniel Grothe</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a052e78c4ddd111291d6e02f95275a005"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a052e78c4ddd111291d6e02f95275a005">&#9670;&nbsp;</a></span>https</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE https</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a732e4e632dcc73daeb2d767958cd6072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a732e4e632dcc73daeb2d767958cd6072">&#9670;&nbsp;</a></span>hyp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">hyp = Opt.GP.hyp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f6ccfcf58b31cb6412107d9d5281426"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f6ccfcf58b31cb6412107d9d5281426">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">for i</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= 1 : <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(x_test,2)</div>
<div class="line">    <a class="code" href="_predict___g_p_8m.html#a771f0da6537af3e2b716e8671e948f56">x_test_scaled</a>(:,<a class="code" href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>) = (x_test(:,<a class="code" href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>)-<a class="code" href="example__training__of___a_n_n_8m.html#aeb3638046bd79039a7571f8c646a4c84">lb</a>(<a class="code" href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>)) / (<a class="code" href="example__training__of___a_n_n_8m.html#aab88802a9fdd7b7273d475bf46f6dae1">ub</a>(<a class="code" href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>)-<a class="code" href="example__training__of___a_n_n_8m.html#aeb3638046bd79039a7571f8c646a4c84">lb</a>(<a class="code" href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>))</div>
</div><!-- fragment -->
</div>
</div>
<a id="ad8db5e44425ec66a9069758cad6a4b4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8db5e44425ec66a9069758cad6a4b4d">&#9670;&nbsp;</a></span>INCIDENTAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY INCIDENTAL</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a918b940ec779305b9a448c917694ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a918b940ec779305b9a448c917694ef">&#9670;&nbsp;</a></span>INCLUDING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED INCLUDING</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94137a780afb34907b321467ed7ea68c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94137a780afb34907b321467ed7ea68c">&#9670;&nbsp;</a></span>INDIRECT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY INDIRECT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9e25313b2dd0317b7b92e729fefce384"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e25313b2dd0317b7b92e729fefce384">&#9670;&nbsp;</a></span>invK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">invK = Opt.GP.invK</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a80ccc1af50856f2cee8ec6389a830493"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80ccc1af50856f2cee8ec6389a830493">&#9670;&nbsp;</a></span>K</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end K = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(n_test,n_test)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a204257ade2e9cad18f5587386ab4fc64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a204257ade2e9cad18f5587386ab4fc64">&#9670;&nbsp;</a></span>K_M</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">K_M = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(n_test,n_test*D_test)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3929181b9643fc558d15e6b7e4ffa0e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3929181b9643fc558d15e6b7e4ffa0e9">&#9670;&nbsp;</a></span>K_x</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">K_x = <a class="el" href="_write___g_p__to__json_8m.html#a566ca207ec1bc8260a1fbbd6c27bb7ac">Opt.GP.K</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab0b1c595e15a70a25f56e4fef53630a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0b1c595e15a70a25f56e4fef53630a7">&#9670;&nbsp;</a></span>k_x_x</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end k_x_x = <a class="el" href="_predict___g_p_8m.html#aa88810404376141b2ef561e80cba8a7a">k_x_x_T</a>'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa88810404376141b2ef561e80cba8a7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa88810404376141b2ef561e80cba8a7a">&#9670;&nbsp;</a></span>k_x_x_T</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end k_x_x_T = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>,n_test)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a34f58f308668abf384bbbe941a55a812"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34f58f308668abf384bbbe941a55a812">&#9670;&nbsp;</a></span>kxxT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end kxxT = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>,n_test)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad74729d631b233496fadc9c8912ab10f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad74729d631b233496fadc9c8912ab10f">&#9670;&nbsp;</a></span>LIABILITY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT LIABILITY</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8cda61cf917ea712509fcfdee8b9d9b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cda61cf917ea712509fcfdee8b9d9b6">&#9670;&nbsp;</a></span>Lin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University Xiaopeng Lin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7b608eef330c0c2d92f284c85641df7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7b608eef330c0c2d92f284c85641df7">&#9670;&nbsp;</a></span>m</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">elseif <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> m = (1 + <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aec5a75086abddafec01ec66c663c4c04">t</a>).*<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a9e98e82965f9d5a74c5609b881db1e0d">expnK</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e2a3f798bd0d5098afbf69c71c8fb9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e2a3f798bd0d5098afbf69c71c8fb9f">&#9670;&nbsp;</a></span>mean</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">mean = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a58cea4a74da43a1b41ee6bf6e9a31852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58cea4a74da43a1b41ee6bf6e9a31852">&#9670;&nbsp;</a></span>met</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are met</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a557576ea58f5770bd89b642d65efb9ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a557576ea58f5770bd89b642d65efb9ab">&#9670;&nbsp;</a></span>modification</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without modification</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af305ef89ef1c336d2b9396d2b3c4d0e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af305ef89ef1c336d2b9396d2b3c4d0e1">&#9670;&nbsp;</a></span>n</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian RWTH Aachen University n</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">==============================================================================<a class="code" href="_predict___g_p_8m.html#af305ef89ef1c336d2b9396d2b3c4d0e1">\n</a></div>
<div class="line">%</div>
<div class="line">%  @author Artur Schweidtmann</div>
</div><!-- fragment -->
</div>
</div>
<a id="ae37fa01d32b3cec18fec327190074d66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae37fa01d32b3cec18fec327190074d66">&#9670;&nbsp;</a></span>notice</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright notice</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad89261857e7e5a1a1b86f3441197f1f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad89261857e7e5a1a1b86f3441197f1f0">&#9670;&nbsp;</a></span>prediction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">prediction = <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0259a5aa07ee6d06e3f8b3d8210886d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0259a5aa07ee6d06e3f8b3d8210886d7">&#9670;&nbsp;</a></span>prediction_scaled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">prediction_scaled = <a class="el" href="_predict___g_p_8m.html#a4e2a3f798bd0d5098afbf69c71c8fb9f">mean</a> + <a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a> * <a class="el" href="_write___g_p__to__json_8m.html#a3404ee53cfb26335a4d034b20dbef2e3">invK</a> * (yScaled - <a class="el" href="_predict___g_p_8m.html#a4e2a3f798bd0d5098afbf69c71c8fb9f">mean</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acc10025bc6bfc85dd130bc485201ecce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc10025bc6bfc85dd130bc485201ecce">&#9670;&nbsp;</a></span>processes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">file Predict_GP <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa7b608eef330c0c2d92f284c85641df7">m</a> brief Computes the <a class="el" href="_predict___g_p_8m.html#ad89261857e7e5a1a1b86f3441197f1f0">prediction</a> of Gaussian processes</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">==============================================================================<a class="code" href="_predict___g_p_8m.html#af305ef89ef1c336d2b9396d2b3c4d0e1">\n</a></div>
<div class="line">%   Aachener Verfahrenstechnik-Systemverfahrenstechnik</div>
</div><!-- fragment -->
</div>
</div>
<a id="a204e12cc2a17b48a5b1f1900d4ae5dc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a204e12cc2a17b48a5b1f1900d4ae5dc3">&#9670;&nbsp;</a></span>sf2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> sf2 = exp(2*<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">hyp.cov</a>(<a class="el" href="_predict___g_p_8m.html#a350bfcb1e3cfb28ddff48ce525d4f139">D</a>+1))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b6e8a2eebde8fdbe3aff1fa0c20362f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b6e8a2eebde8fdbe3aff1fa0c20362f">&#9670;&nbsp;</a></span>SPECIAL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY SPECIAL</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab0441221a42a30f8bbac9ab536dcf9fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0441221a42a30f8bbac9ab536dcf9fa">&#9670;&nbsp;</a></span>sqrtK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sqrtK = []</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36fda9bc88c532ecc94200bcd756b1d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36fda9bc88c532ecc94200bcd756b1d3">&#9670;&nbsp;</a></span>std</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std = sqrt(<a class="el" href="_predict___g_p_8m.html#a9ff06a41d938551cea7441407c723aa9">var_scaled</a>) * stdOfOutputs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aec5a75086abddafec01ec66c663c4c04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec5a75086abddafec01ec66c663c4c04">&#9670;&nbsp;</a></span>t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">elseif <a class="el" href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a> <a class="el" href="example__training__of___g_p_8m.html#a55295f1cfc3c4ee7f6ff998e05267abf">GP</a> t = <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ab0441221a42a30f8bbac9ab536dcf9fa">sqrtK</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac84fa98a4484bfabf6709f0c6a93da56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac84fa98a4484bfabf6709f0c6a93da56">&#9670;&nbsp;</a></span>TO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED TO</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ff06a41d938551cea7441407c723aa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff06a41d938551cea7441407c723aa9">&#9670;&nbsp;</a></span>var_scaled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var_scaled = diag(<a class="el" href="_write___g_p__to__json_8m.html#a566ca207ec1bc8260a1fbbd6c27bb7ac">K</a>- <a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a> * <a class="el" href="_write___g_p__to__json_8m.html#a3404ee53cfb26335a4d034b20dbef2e3">invK</a> *<a class="el" href="_predict___g_p_8m.html#ab0b1c595e15a70a25f56e4fef53630a7">k_x_x</a>')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac08e3fe0a5c953bd579a3af50ae1980b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08e3fe0a5c953bd579a3af50ae1980b">&#9670;&nbsp;</a></span>WARRANTIES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED WARRANTIES</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e3b80f846c2d80a70b3a1a74701b9f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e3b80f846c2d80a70b3a1a74701b9f4">&#9670;&nbsp;</a></span>X2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return <a class="el" href="example__training__of___a_n_n_8m.html#a6f9655b9922d8eb305f5de56994924f6">function</a> Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer* Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a5162af68681d3a56bc23abb7e5d7bb2c">WARRANTIES</a> OF MERCHANTABILITY AND FITNESS FOR <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#add4bb3cd066beefd02d3d9f216269db2">A</a> PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE X2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a771f0da6537af3e2b716e8671e948f56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a771f0da6537af3e2b716e8671e948f56">&#9670;&nbsp;</a></span>x_test_scaled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">id x_test_scaled = <a class="el" href="_scale_variables_8m.html#abe36e9a6fc94f1b95c00d00b9829d8f1">zeros</a>(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(x_test))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_ac7e3b2da00011ea8fe6e025bcf7d448a"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#ac7e3b2da00011ea8fe6e025bcf7d448a">c</a></div><div class="ttdeci">end c</div><div class="ttdef"><b>Definition:</b> Train_GP_and_return_hyperparameters.m:243</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_a88ea5a36240d18f8381688ed2ba3dc3a"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#a88ea5a36240d18f8381688ed2ba3dc3a">OptGP</a></div><div class="ttdeci">id OptGP()</div></div>
<div class="ttc" id="a_predict___g_p_8m_html_a6f6ccfcf58b31cb6412107d9d5281426"><div class="ttname"><a href="_predict___g_p_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a></div><div class="ttdeci">for i</div><div class="ttdef"><b>Definition:</b> Predict_GP.m:22</div></div>
<div class="ttc" id="aexample__training__of___g_p_8m_html_a5f39f78b88756a6e62305298bd22cbab"><div class="ttname"><a href="example__training__of___g_p_8m.html#a5f39f78b88756a6e62305298bd22cbab">Opt</a></div><div class="ttdeci">internal option for solver Opt</div><div class="ttdef"><b>Definition:</b> example_training_of_GP.m:48</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_a4817a9277ef40b3369c95a4e1e1acfaf"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a></div><div class="ttdeci">lb+(ub-lb) .*X X</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:36</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_ab5d0dee4577dce4166b4f7d03510a14e"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#ab5d0dee4577dce4166b4f7d03510a14e">Y</a></div><div class="ttdeci">Scale inputs onto interval[lb, ub] Y</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:38</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_a8d780116abd74ce4edb29522382d30be"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a></div><div class="ttdeci">Xnew size()</div></div>
<div class="ttc" id="a_predict___g_p_8m_html_af305ef89ef1c336d2b9396d2b3c4d0e1"><div class="ttname"><a href="_predict___g_p_8m.html#af305ef89ef1c336d2b9396d2b3c4d0e1">n</a></div><div class="ttdeci">file Predict_GP m brief Computes the prediction of Gaussian RWTH Aachen University n</div><div class="ttdef"><b>Definition:</b> Predict_GP.m:8</div></div>
<div class="ttc" id="a_predict___g_p_8m_html_a0e3b80f846c2d80a70b3a1a74701b9f4"><div class="ttname"><a href="_predict___g_p_8m.html#a0e3b80f846c2d80a70b3a1a74701b9f4">X2</a></div><div class="ttdeci">return function Mo Chen All rights reserved Redistribution and use in source and binary with or without are permitted provided that the following conditions are this list of conditions and the following disclaimer *Redistributions in binary form must reproduce the above copyright this list of conditions and the following disclaimer in the documentation and or other materials provided with the distribution THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS OR IMPLIED BUT NOT LIMITED THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY OR CONSEQUENTIAL WHETHER IN STRICT OR EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE X2</div><div class="ttdef"><b>Definition:</b> Predict_GP.m:146</div></div>
<div class="ttc" id="a_predict___g_p_8m_html_a771f0da6537af3e2b716e8671e948f56"><div class="ttname"><a href="_predict___g_p_8m.html#a771f0da6537af3e2b716e8671e948f56">x_test_scaled</a></div><div class="ttdeci">x_test_scaled</div><div class="ttdef"><b>Definition:</b> Predict_GP.m:21</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_aab88802a9fdd7b7273d475bf46f6dae1"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#aab88802a9fdd7b7273d475bf46f6dae1">ub</a></div><div class="ttdeci">Define Lower bound of inputs ub</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:26</div></div>
<div class="ttc" id="a_predict___g_p_8m_html_acb6eeec2afea41960619ad0559b6d6de"><div class="ttname"><a href="_predict___g_p_8m.html#acb6eeec2afea41960619ad0559b6d6de">d</a></div><div class="ttdeci">type of Martern else d</div><div class="ttdef"><b>Definition:</b> Predict_GP.m:36</div></div>
<div class="ttc" id="aexample__training__of___a_n_n_8m_html_aeb3638046bd79039a7571f8c646a4c84"><div class="ttname"><a href="example__training__of___a_n_n_8m.html#aeb3638046bd79039a7571f8c646a4c84">lb</a></div><div class="ttdeci">Input dimension of data GP lb</div><div class="ttdef"><b>Definition:</b> example_training_of_ANN.m:25</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_f620e5568ec0800ef52addb3e6877e12.html">gaussian process</a></li><li class="navelem"><a class="el" href="dir_1fc81c00cac59075ae13874c4e72a6a9.html">training</a></li><li class="navelem"><a class="el" href="dir_eb5cf4e9e40c78cd4a9a033353776a44.html">matlab</a></li><li class="navelem"><a class="el" href="dir_7b3f8672d8bda49db9b0b809e686d504.html">GP training</a></li><li class="navelem"><a class="el" href="_predict___g_p_8m.html">Predict_GP.m</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
